Subject: bug#77928: 31.0.50; ebcde0f90f6 (bug#77928) breaks :custom-face for themed faces

From: Eli Zaretskii <[email-masked]>
Date: Sat, 07 Jun 2025 12:49:12 +0300

> From: Steven Allen <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked]
> Date: Wed, 04 Jun 2025 12:07:12 -0700
> 
> There are two parts to this report:
> 
> 1. Bug: use-package's ":custom-face" no longer overrides themed
>   faces.
> 2. Opinion: ":custom-face" SHOULD merge the user-specified face spec
>   with the underlying face spec (contrary to the original report).

I'm not sure I agree.  I think the concept is that themes override any
other face definitions, otherwise themes couldn't have done their main
job.

> IMO, :custom-face SHOULD behave like "custom-set-faces".

Not sure I agree, but maybe John could state his opinions on that?